> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Issue Asset Downloads



## OpenAPI

````yaml /openapi.json post /v1/workspaces/{workspaceId}/assistant/imports/{importId}/assets/downloads
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/assistant/imports/{importId}/assets/downloads:
    post:
      tags:
        - Data Imports
      summary: Issue Asset Downloads
      operationId: DataImportsController_issueAssetDownloads_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
            pattern: ^[1-9]\d*$
        - name: importId
          required: true
          in: path
          schema:
            type: string
            pattern: ^[1-9]\d*$
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DataImportAssetDownloadsBodyDto'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/DataImportAssetDownloadResponseDto'
components:
  schemas:
    DataImportAssetDownloadsBodyDto:
      type: object
      properties:
        projectId:
          type: string
          pattern: ^[1-9]\d*$
        assetIds:
          minItems: 1
          maxItems: 100
          type: array
          items:
            type: string
            pattern: ^[1-9]\d*$
      required:
        - projectId
        - assetIds
      additionalProperties: false
    DataImportAssetDownloadResponseDto:
      type: object
      properties:
        assetId:
          type: string
        url:
          type: string
        mimeType:
          type: string
        sheetName:
          type: string
        cellAddress:
          type: string
      required:
        - assetId
        - url
        - mimeType
        - sheetName
        - cellAddress

````